## python-pgvector 0.4.2

=== Makefile ===
.PHONY: lint build publish clean

lint:
	pycodestyle . --ignore=E501

build:
	python3 -m build

publish: clean build
	twine upload dist/*

clean:
	rm -rf .pytest_cache dist pgvector.egg-info

=== requirements.txt ===
asyncpg
Django
numpy
peewee
pg8000
psycopg[binary,pool]
psycopg2-binary
pytest
pytest-asyncio
scipy
SQLAlchemy[asyncio]>=2
sqlmodel>=0.0.12

=== examples/citus/requirements.txt ===
numpy
pgvector
psycopg[binary]

=== examples/cohere/requirements.txt ===
cohere
pgvector
psycopg[binary]

=== examples/colbert/requirements.txt ===
colbert-ai
pgvector
psycopg[binary]
transformers==4.49.0

=== examples/colpali/requirements.txt ===
colpali-engine
datasets
pgvector
psycopg[binary]

=== examples/gensim/requirements.txt ===
gensim
numpy
pgvector
psycopg[binary]
scipy<1.13

=== examples/hybrid_search/requirements.txt ===
pgvector
psycopg[binary]
sentence-transformers

=== examples/image_search/requirements.txt ===
matplotlib
pgvector
psycopg[binary]
torch
torchvision
tqdm

=== examples/imagehash/requirements.txt ===
datasets
imagehash
matplotlib
pgvector
psycopg[binary]

=== examples/implicit/requirements.txt ===
h5py
implicit
pgvector
psycopg[binary]
SQLAlchemy

=== examples/lightfm/requirements.txt ===
lightfm
pgvector
psycopg[binary]
SQLAlchemy

=== debian/changelog ===
python-pgvector (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1127392)
  * Skip SQLModel tests due to incompatibility with current
    python3-sqlmodel in the archive

 -- Arian Ott <arian.ott@ieee.org>  Mon, 09 Feb 2026 20:05:26 +0000

=== debian/control ===
Source: python-pgvector
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Arian Ott <arian.ott@ieee.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 postgresql,
 postgresql-18-pgvector | postgresql-pgvector,
 postgresql-all,
 postgresql-server-dev-all,
 pybuild-plugin-pyproject,
 python3-all,
 python3-asyncpg,
 python3-django,
 python3-numpy,
 python3-peewee,
 python3-pg8000,
 python3-psycopg,
 python3-psycopg-pool,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-asyncio,
 python3-scipy,
 python3-setuptools,
 python3-sqlalchemy,
 python3-sqlmodel,
Standards-Version: 4.7.3
Homepage: https://github.com/pgvector/pgvector-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/pgvector-python
Vcs-Git: https://salsa.debian.org/python-team/packages/pgvector-python.git

Package: python3-pgvector
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-numpy
Description: Python client for pgvector
 This package provides a Python client for pgvector, the open-source
 vector similarity search extension for PostgreSQL.
 .
 It allows you to work with vectors in your Python applications and
 provides seamless integration with popular tools and ORMs such as
 SQLAlchemy, Django, Peewee, and others.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-pgvector

# The tests in tests/test_sqlmodel.py have been disabled
# since the current version of python-sqlmodel FTBFS but
# hasn't been updated to the latest upstream release.
# Arian Ott <arian.ott@ieee.org> Mon, 09 Feb 2026 20:08:07 +0000
export PYBUILD_TEST_ARGS=--ignore=tests/test_sqlmodel.py
%:
	dh $@ --buildsystem=pybuild


override_dh_auto_test:
	pg_virtualenv -i '-A trust' sh -c " \
			createdb pgvector_python_test && \
			dh_auto_test"

=== debian/tests/control ===
Tests: pytest-suite
Depends:
 postgresql,
 postgresql-pgvector | postgresql-18-pgvector,
 python3-asyncpg,
 python3-django,
 python3-numpy,
 python3-peewee,
 python3-pg8000,
 python3-pgvector,
 python3-psycopg,
 python3-psycopg-pool,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-asyncio,
 python3-scipy,
 python3-sqlalchemy,
 python3-sqlmodel,
Restrictions: allow-stderr, skippable

=== debian/watch ===
Version: 5
Template: PyPi
Dist: pgvector
Dversion-Mangle: auto
Version-Type: STABLE_VERSION
